|  | Home · All Namespaces · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QStyleOptionViewItemV2 Class Reference
[QtGui module]

The QStyleOptionViewItemV2 class is used to describe the parameters necessary for drawing a frame in Qt 4.2 or above. More...

     #include <QStyleOptionViewItemV2>

Inherits QStyleOptionViewItem.

Inherited by QStyleOptionViewItemV4.

This class was introduced in Qt 4.2.

- List of all members, including inherited members

### Public Types

- enum StyleOptionVersion { Version }
- enum ViewItemFeature { None, WrapText, Alternate, HasCheckIndicator, HasDisplay, HasDecoration }
- flags ViewItemFeatures

### Public Functions

- QStyleOptionViewItemV2 ()
- QStyleOptionViewItemV2 ( const QStyleOptionViewItemV2 & other )
- QStyleOptionViewItemV2 ( const QStyleOptionViewItem & other )
- QStyleOptionViewItemV2 & operator= ( const QStyleOptionViewItem & other )

- 2 public functions inherited from QStyleOption

### Public Variables

- ViewItemFeatures features

- 7 public variables inherited from QStyleOptionViewItem
- 7 public variables inherited from QStyleOption

## Detailed Description

The QStyleOptionViewItemV2 class is used to describe the parameters necessary for drawing a frame in Qt 4.2 or above.

QStyleOptionViewItemV2 inherits QStyleOptionViewItem.

An instance of the QStyleOptionViewItemV2 class has type SO_ViewItem and version 2. The type is used internally by QStyleOption, its subclasses, and qstyleoption_cast() to determine the type of style option. In general you do not need to worry about this unless you want to create your own QStyleOption subclass and your own styles. The version is used by QStyleOption subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally don't need to check it.

See QStyleOptionFrameV2's detailed description for a discussion of how to handle "V2" classes.

See also QStyleOptionViewItem and QStyleOption.

## Member Type Documentation

### enum QStyleOptionViewItemV2::StyleOptionVersion

This enum is used to hold information about the version of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionViewItemV2::Version` | `2` | 2

The version is used by QStyleOption subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally don't need to check it.

See also StyleOptionType.

### enum QStyleOptionViewItemV2::ViewItemFeature
flags QStyleOptionViewItemV2::ViewItemFeatures

This enum describles the different types of features an item can have.

Constant | Value | Description
--- | --- | ---
`QStyleOptionViewItemV2::None` | `0x00` | Indicates a normal item.
`QStyleOptionViewItemV2::WrapText` | `0x01` | Indicates an item with wrapped text.
`QStyleOptionViewItemV2::Alternate` | `0x02` | Indicates that the item's background is rendered using alternateBase.
`QStyleOptionViewItemV2::HasCheckIndicator` | `0x04` | Indicates that the item has a check state indicator.
`QStyleOptionViewItemV2::HasDisplay` | `0x08` | Indicates that the item has a display role.
`QStyleOptionViewItemV2::HasDecoration` | `0x10` | Indicates that the item has a decoration role.

The ViewItemFeatures type is a typedef for QFlags<ViewItemFeature>. It stores an OR combination of ViewItemFeature values.

## Member Function Documentation

### QStyleOptionViewItemV2::QStyleOptionViewItemV2 ()

Constructs a QStyleOptionViewItemV2 object.

### QStyleOptionViewItemV2::QStyleOptionViewItemV2 ( const QStyleOptionViewItemV2 & other )

Constructs a copy of other.

### QStyleOptionViewItemV2::QStyleOptionViewItemV2 ( const QStyleOptionViewItem & other )

Constructs a QStyleOptionViewItemV2 copy of the other style option which can be either of the QStyleOptionViewItemV2 or QStyleOptionViewItem types.

If the other style option's version is 1, the new style option's ViewItemFeature value is set to QStyleOptionViewItemV2::None. If its version is 2, its ViewItemFeature value is simply copied to the new style option.

See also version.

### QStyleOptionViewItemV2 & QStyleOptionViewItemV2::operator= ( const QStyleOptionViewItem & other )

Assigns the other style option to this style option. The other style option can be either of the QStyleOptionViewItemV2 or QStyleOptionViewItem types.

If the other style option's version is 1, this style option's ViewItemFeature value is set to QStyleOptionViewItemV2::None. If its version is 2, its ViewItemFeature value is simply copied to this style option.

## Member Variable Documentation

### ViewItemFeatures QStyleOptionViewItemV2::features

This variable holds a bitwise OR of the features that describe this view item.

See also ViewItemFeature.